﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using CryptoPhoto;

namespace CryptoPhoto.Test
{
    public partial class ProtectedArea : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                // check if the user has authenticated successfully
                bool isAuthenticated = (Session["Authenticated"] != null) && ((bool)Session["Authenticated"]);
                if (!isAuthenticated)
                {
                    Response.Redirect("~/default.aspx");
                }
                else
                {
                    CryptoPhotoUtils cpUtils = new CryptoPhotoUtils(Default.PrivateKey, Default.PublicKey);
                    List<string> sessionResponse = cpUtils.StartSession(Default.UserID, Request.UserHostAddress);
                    string genWidget = cpUtils.GetGenWidget();
                    litManageTokens.Text = genWidget;
                }
            }
        }

        protected void btnLogout_Click(object sender, EventArgs e)
        {
            Session.Remove("Authenticated");
            Response.Redirect("~/protectedarea.aspx");
        }
    } 
}